export declare function homedir(): string;
export declare function tmpdir(): string;
export declare function stringEndsWith(str: string, search: string, position?: number): boolean;
/**
 * Recursive mkdir for Node.js 0.8+
 */
export declare function mkdirpSync(dir: string): void;
/**
 * Recursive rm for Node.js 0.8+
 */
export declare function rmSync(dir: string): void;
/**
 * Read directory entries with types for Node.js 0.8+
 * Returns array of {name, isDirectory()}
 */
export interface DirEntry {
    name: string;
    isDirectory(): boolean;
}
export declare function readdirWithTypes(dir: string): DirEntry[];
export declare function objectAssign<T, U>(target: T, source: U): T & U;
